# Class RecurrenceExpander

java.lang.Object
org.daypilot.recurrence.RecurrenceExpander

public class RecurrenceExpander extends Object

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `RecurrenceExpander()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `List<Event>`
  `expand(DateTime rangeStart, DateTime rangeEnd)`
  `List<Event>`
  `expand(DateTime rangeStart, DateTime rangeEnd, TimeSpan maxChange)`
  `String`
  `getDataAllDayField()`
  `String`
  `getDataEndField()`
  `String`
  `getDataIdField()`
  `String`
  `getDataRecurrenceField()`
  `String`
  `getDataResourceField()`
  `String`
  `getDataStartField()`
  `String`
  `getDataTagFields()`
  `String`
  `getDataTextField()`
  `Collection<?>`
  `getEvents()`
  `protected DayOfWeek`
  `getResolvedWeekStart()`
  `WeekStarts`
  `getWeekStarts()`
  `boolean`
  `isUseUtcDates()`
  `void`
  `onBeforeEventRecurrence(BeforeEventRecurrenceArgs ea)`
  `void`
  `setDataAllDayField(String dataAllDayField)`
  `void`
  `setDataEndField(String dataEndField)`
  `void`
  `setDataIdField(String dataIdField)`
  `void`
  `setDataRecurrenceField(String dataRecurrenceField)`
  `void`
  `setDataResourceField(String dataResourceField)`
  `void`
  `setDataStartField(String dataStartField)`
  `void`
  `setDataTagFields(String dataTagFields)`
  `void`
  `setDataTextField(String dataTextField)`
  `void`
  `setEvents(Collection<?> events)`
  `void`
  `setUseUtcDates(boolean useUtcDates)`
  `void`
  `setWeekStarts(WeekStarts weekStarts)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### RecurrenceExpander

    public RecurrenceExpander()

- ## Method Details

  - ### onBeforeEventRecurrence

    public void onBeforeEventRecurrence(BeforeEventRecurrenceArgs ea) throws Exception
    Throws:
      `Exception`

  - ### expand

    public List<Event> expand(DateTime rangeStart, DateTime rangeEnd)

  - ### expand

    public List<Event> expand(DateTime rangeStart, DateTime rangeEnd, TimeSpan maxChange)

  - ### getDataIdField

    public String getDataIdField()

  - ### setDataIdField

    public void setDataIdField(String dataIdField)

  - ### getDataTextField

    public String getDataTextField()

  - ### setDataTextField

    public void setDataTextField(String dataTextField)

  - ### getDataStartField

    public String getDataStartField()

  - ### setDataStartField

    public void setDataStartField(String dataStartField)

  - ### getDataEndField

    public String getDataEndField()

  - ### setDataEndField

    public void setDataEndField(String dataEndField)

  - ### getDataResourceField

    public String getDataResourceField()

  - ### setDataResourceField

    public void setDataResourceField(String dataResourceField)

  - ### getDataRecurrenceField

    public String getDataRecurrenceField()

  - ### setDataRecurrenceField

    public void setDataRecurrenceField(String dataRecurrenceField)

  - ### getEvents

    public Collection<?> getEvents()

  - ### setEvents

    public void setEvents(Collection<?> events)

  - ### getDataTagFields

    public String getDataTagFields()

  - ### setDataTagFields

    public void setDataTagFields(String dataTagFields)

  - ### isUseUtcDates

    public boolean isUseUtcDates()

  - ### setUseUtcDates

    public void setUseUtcDates(boolean useUtcDates)

  - ### getWeekStarts

    public WeekStarts getWeekStarts()

  - ### setWeekStarts

    public void setWeekStarts(WeekStarts weekStarts)

  - ### getResolvedWeekStart

    protected DayOfWeek getResolvedWeekStart()

  - ### getDataAllDayField

    public String getDataAllDayField()

  - ### setDataAllDayField

    public void setDataAllDayField(String dataAllDayField)